#pragma once

#include <vector>

namespace HuffmanFixedCodes
{
    inline std::vector<unsigned char> getDeflateFixedHuffmanCodes()
    {
        std::vector<std::pair<unsigned, unsigned char> > mappings {{144, 8}, {112, 9}, {24, 7}, {8 ,8}};
        std::vector<unsigned char> sequence;
        for(const auto& entry : mappings)
        {
            for(unsigned idx=0;idx<entry.first;idx++)
            {
                sequence.push_back(entry.second);
            }
        }
        return sequence;
    }
}
